Subject: Re: [RFC/PATCH] git push usability improvements and default change

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Mar 2009 17:12:30 -0700

Johannes Schindelin <[email-masked]> writes:

>> git push default change:
>> 
>> git push will by default push "nothing" instead of "matching".
>
> Hasn't this been shot down already?  I do not want that change.  I think 
> it is harmful.
>
> At least without a proper way to prepare existing users for the end of the 
> world.

I haven't actually read the patch, but my reading of the cover lette ris
that the four-patch sequence 4-to-7 is (meant to be, at least) structured
that way.